Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.control.text.autocomplete.renderer
Class AutocompleteTextControlSWTRenderer_Test

    java.lang.Object
      org.eclipse.emfforms.internal.swt.control.text.autocomplete.renderer.AutocompleteTextControlSWTRenderer_Test

    public class AutocompleteTextControlSWTRenderer_Test

extends Object

Constructor Summary
`AutocompleteTextControlSWTRenderer_Test()`

Method Summary
`void` | `setUp()`
`static void` | `setUpBeforeClass()`
`void` | `tearDown()`
`void` | `testCreateBindings()`
`void` | `testCreateJFaceViewer()`
`void` | `testGetProposals()`
`void` | `testGetProposalsDatabindingFailed()`
`void` | `testGetProposalsNoService()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutocompleteTextControlSWTRenderer_Test

    public AutocompleteTextControlSWTRenderer_Test()

Method Detail

### setUpBeforeClass

    public static void setUpBeforeClass()

### setUp

    public void setUp()
               throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### tearDown

    public void tearDown()

### testGetProposals

    public void testGetProposals()
                          throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testGetProposalsNoService

    public void testGetProposalsNoService()
                                   throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testGetProposalsDatabindingFailed

    public void testGetProposalsDatabindingFailed()
                                           throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testCreateJFaceViewer

    public void testCreateJFaceViewer()
                               throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

### testCreateBindings

    public void testCreateBindings()
                            throws DatabindingFailedException

  Throws:
    `DatabindingFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.